/*
 * IBM Confidential OCO Source Materials
 *
 * 5725-I43 Copyright IBM Corp. 2006, 2015
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */

package com.ibm.mfp.server.az.external.rest;

import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * OAuth 2.0 authorization endpoint as defined in <a href="http://tools.ietf.org/html/rfc6749#section-3.1">spec</a>
 *
 * @author artem
 *         Date: 8/12/15
 */

public interface AuthorizationEndpoint {

    String AUTHORIZATION_PATH = "/authorization";

    @RequestMapping(value = AUTHORIZATION_PATH, method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    ResponseEntity authorize(String responseType, String clientId, String redirectURI, String scope, String state);
}
