/*
 * IBM Confidential OCO Source Materials
 *
 * 5725-I43 Copyright IBM Corp. 2006, 2015
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */

package com.ibm.mfp.server.az.external.rest;

import com.ibm.mfp.server.security.external.resource.TokenIntrospectionData;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * Introspection Endpoint for the AZ Embedded Server
 * Authenticate the caller (Resource Server)
 * Validate the access token
 * Collect the data from MFP context introspection service
 * Created by orep on 8/26/15.
    */
    public interface IntrospectionEndpoint {

        String INTROSPECTION_PATH = "/introspection";

    @RequestMapping(value = INTROSPECTION_PATH, method = RequestMethod.POST,
            consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE,
            produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    TokenIntrospectionData introspect(String token);
}
