/*
 * IBM Confidential OCO Source Materials
 *
 * 5725-I43 Copyright IBM Corp. 2006, 2015
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */

package com.ibm.mfp.server.az.external.rest;

import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * OAuth 2.0 token endpoint as defined in <a href="http://tools.ietf.org/html/rfc6749#section-3.2">spec</a>
 * Created by orep on 8/24/15.
 */
public interface TokenEndpoint {

    String TOKEN_PATH = "/token";

    @RequestMapping(value = TOKEN_PATH, method = RequestMethod.POST,
            consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE,
            produces = MediaType.APPLICATION_JSON_VALUE)
    ResponseEntity getToken(String grantType, String code, String redirectUri,
                            String clientAssertionType, String clientAssertion,
                            String scope, String authorization);
}
